﻿@model List<VirtualCarGarage.MVC.Models.ManufacturerViewModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Manufacturers</h1>

        <p>
            <a class="text-primary font-weight-bolder" asp-action="Create">Create</a>
        </p>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().ManufacturerId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().Name)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.ManufacturerId)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        <a asp-action="Edit" asp-route-id="@item.ManufacturerId">Edit</a> |
                        <a asp-action="Delete" asp-route-id="@item.ManufacturerId">Delete</a>
                    </td>
                </tr>
                }
            </tbody>
        </table>
    </div>
    <div class="text-center">
        <a asp-controller="Home" asp-action="Index" class="btn btn-primary">Back</a>
    </div>
</div>